#!/bin/bash
# Script to build the devfile registry for a dev environnment
# the parameter allow to change the version of the devfile in the development orange registry cloud-biomass-maap-dev
# You have to check before what is the latest version


# Temporary changes the reference of the stacks to avoid conflict with the existing
find devfiles/*/devfile.yaml | xargs sed -i 's#/cloud-biomass-maap/#/cloud-biomass-maap-dev/#g'
#Show the modified files
echo "The files below are temporary modified for the development registry"
grep cloud-biomass-maap-dev devfiles/*/devfile.yaml

#Build and push the registry
docker build -t che-devfile-registry -f build/dockerfiles/Dockerfile .
docker tag che-devfile-registry registry.eu-west-0.prod-cloud-ocb.orange-business.com/cloud-biomass-maap-dev/che-devfile-registry:$1
docker push registry.eu-west-0.prod-cloud-ocb.orange-business.com/cloud-biomass-maap-dev/che-devfile-registry:$1

# Restore the reference of the stacks 
find devfiles/*/devfile.yaml | xargs sed -i 's#/cloud-biomass-maap-dev/#/cloud-biomass-maap/#g'
#Show the modified files
echo "Restored files , you should not see any files below"
grep cloud-biomass-maap-dev devfiles/*/devfile.yaml


