#!/bin/bash
# Script to build the devfile registry for a MAAP environnment (INT, MAINT)
# the parameter allows to change the version of the devfile in the orange registry cloud-biomass-maap
# You have to check before what is the latest version


# Temporary changes the reference of the container for the s3 storage
sed -i "s/che-s3-storage:master/che-s3-storage:master-${MAAP_ENV_TYPE,,}/g" devfiles/*/devfile.yaml
#Show the modified files
echo "The files below are temporary modified for the s3 storage"
grep "che-s3-storage:master" devfiles/*/devfile.yaml

#Build and push the registry
## The version in production is related to a tag without '-'
REGISTRY_VERSION=$1-${MAAP_ENV_TYPE,,}
docker build -t che-devfile-registry -f build/dockerfiles/Dockerfile .
docker tag che-devfile-registry registry.eu-west-0.prod-cloud-ocb.orange-business.com/cloud-biomass-maap/che-devfile-registry:$REGISTRY_VERSION
docker push registry.eu-west-0.prod-cloud-ocb.orange-business.com/cloud-biomass-maap/che-devfile-registry:$REGISTRY_VERSION

# Restore the reference of the container for the s3 storage
sed -i "s/che-s3-storage:master-${MAAP_ENV_TYPE,,}/che-s3-storage:master/g" devfiles/*/devfile.yaml

#Check the default configuration files
echo "Restored files , you should not see any files below"
grep "che-s3-storage:master-${MAAP_ENV_TYPE,,}" devfiles/*/devfile.yaml


